Bug 1154382 - [RFE] Ability to use tokenized authentication to hammer in lieu of username/password in configuration file.
Summary: [RFE] Ability to use tokenized authentication to hammer in lieu of username/p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Jitendra Yejare
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1299016 1380045 (view as bug list)
Depends On:
Blocks: 1353215 1317008 1451556
TreeView+ depends on / blocked
 
Reported: 2014-10-19 11:50 UTC by Rich Jerrido
Modified: 2021-03-11 14:16 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 8016 0 Normal Closed Ability to use tokenized authentication to hammer in lieu of username/password in configuration file. 2021-02-01 13:32:56 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Rich Jerrido 2014-10-19 11:50:45 UTC
Description of problem:
This RFE requests the ability to configure hammer with either

* a token for login that is separate from the username/pass OR
* a session based credential cache so that the user can be prompted for login once at the beginning of their CLI session. 

The goal is to keep the user from placing an administrative username/password within hammer's configuration file, in cleartext. 

Version-Release number of selected component (if applicable):
rubygem-hammer_cli-0.1.1-12.el6sat.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 RHEL Program Management 2014-10-19 12:03:00 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dominic Cleal 2014-10-21 15:45:38 UTC
Created redmine issue http://projects.theforeman.org/issues/8016 from this bug

Comment 6 David O'Brien 2016-04-18 00:48:40 UTC
Reset docs contact <> daobrien

Comment 8 Thom Carlin 2016-05-16 14:23:21 UTC
This would also allow persistent authentication for the REST API?

Comment 11 Bryan Kearney 2016-09-30 10:04:35 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 12 Brad Buckingham 2016-09-30 13:26:28 UTC
When resolving this bugzilla, please refer to any associated duplicates for additional input.

Comment 13 Brad Buckingham 2016-09-30 13:26:33 UTC
*** Bug 1380045 has been marked as a duplicate of this bug. ***

Comment 14 Bryan Kearney 2016-12-09 19:01:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/8016 has been resolved.

Comment 20 Jitendra Yejare 2017-12-05 12:57:55 UTC
Verified !

@ Satellite 6.3 snap 27

Steps:
# hammer auth login
> [Foreman] Username: admin
> [Foreman] Password for admin: 

# hammer auth status
>  Session exists, currently logged in as 'admin

# hammer domain list (That didnt prompt for passwd)
---|---------------------------
ID | NAME                      
---|---------------------------
13 | BqgPSNLeQt                
10 | FyWhgdcbSn                
11 | GbqGiKuCws                
18 | hCbPdswEni                
12 | ibNwVTpdkU                
9  | KktExDTarl                
19 | lab.bos.redhat.com        
14 | LoUVeZpkrC                
15 | nSMsOicbPH                
16 | OFKLpavbjh                
17 | xQOQIFghpj                
---|---------------------------

# hammer auth logout
> Logged out.


So the sessionized(tokenized) authentication is working as expected. Changing the state of bug to verified.

Note: This tokenized auth doesnt works with curl as mentioned in comment 9.

Comment 23 errata-xmlrpc 2018-02-21 12:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 24 Bryan Kearney 2018-07-17 16:45:16 UTC
*** Bug 1299016 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.